-- Configuration
local whispCommand = "!inviteme" -- The whisper command to trigger the invite.

-- Local Table
local aName, aTable = ...

function aTable:OnEvent(event, ...)
	if event == "CHAT_MSG_WHISPER" then
		local msg, name = ...
		aTable.Invitez0rz(msg, name)
	elseif event == "CHAT_MSG_BN_WHISPER" then
		local msg, _,_,_,_,_,_,_,_,_,_,_, bid = ...
		local _,_,_,_, name = BNGetFriendInfoByID(bid)
		aTable.Invitez0rz(msg, name)
	end
end

function aTable.Invitez0rz(msg, name)
	local name = Ambiguate(name, "none")
	if msg == whispCommand then
		if IsInRaid() then return end
		if UnitIsGroupLeader("player") or GetNumSubgroupMembers(LE_PARTY_CATEGORY_HOME) == 0 then
			InviteUnit(name)
		else
			SendChatMessage(aName..": "..UnitName("player")..aTable.NOT_PARTY_LEADER, "WHISPER", nil, name)
		end
	else
		return
	end
end

-- Need a frame to attach to.
local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_WHISPER")
f:RegisterEvent("CHAT_MSG_BN_WHISPER")
f:SetScript("OnEvent", aTable.OnEvent)

-- Localization
aTable.NOT_PARTY_LEADER = " is not the party leader."
